Onepiece XP Post-SP3 AIO Update Pack FINAL

Windows XP Professional Update Pack discussion.
Post Reply
User avatar
Stimpy
Posts: 499
Joined: Thu Dec 07, 2006 1:00 pm
Location: Denmark

Post by Stimpy » Wed Jul 09, 2008 8:00 am

I can report that this update pack does not work, and comes up with an Advanced Inf error. I can only make it work if I use no other addons.

armix7
Posts: 34
Joined: Thu Jan 26, 2006 7:19 pm

Post by armix7 » Wed Jul 09, 2008 8:21 am

First of all, my sincere thanks to OnePiece for his fantastic work !!!

I tried yesterday his 1.3.4 addon integrated with nLite into MSDN XP SP3 VLK with a couple of other addons like "Visual Task Tips" and "Vista Sounds". FLAWLESS !


Today I got so excited on 1.4.0 that I missed Fabio's comment that this is a "temporary" release :-)
Installs with no problems, but I got completely puzzled with this one:

OPMWXPUP.inf - shows up in MSCONFIG as a startup item

Should it be there, and what does it do ?

User avatar
pen25jf
Posts: 151
Joined: Sat Feb 17, 2007 1:22 pm

Post by pen25jf » Wed Jul 09, 2008 8:47 am

Onepiece,

maybe it would be helpful in your first post (of course, if you have the time) to post the "known errors" with the pack, similar to the info. about IE7. It seems some say it works flawless with add-ons, others specify specific issues.

In other words, can't keep up with the errors (if any are across the board)!!!

Ringrazia il mio amico.

rahuldel
Posts: 12
Joined: Thu Aug 10, 2006 10:21 am

Post by rahuldel » Wed Jul 09, 2008 12:15 pm

It works perfectly, just one error though

"Inf Install Failure. Reason:Access Denied."

Thanks though for the quick and nice work.

User avatar
XIII
Posts: 254
Joined: Wed Oct 12, 2005 4:47 am

Post by XIII » Wed Jul 09, 2008 12:40 pm

Perhaps it is also useful to report the release date next to the version number in the changelog?

(I would appreciate this)
We are one, but we are not the same... Talk to each other!

User avatar
Bhishmar
Posts: 138
Joined: Mon Dec 25, 2006 2:42 pm

Post by Bhishmar » Wed Jul 09, 2008 3:14 pm

XIII wrote:Perhaps it is also useful to report the release date next to the version number in the changelog?

(I would appreciate this)
I verymuch second this suggestion.
With so much update frequency, I think it helps to keep tab on the version & also for anyone trying to follow the thread for previous posts.

I would also suggest everybody posting their feedback to mention the version number they are using.
regards

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Re: Onepiece Windows XP Post-SP3 AIO Update Pack v1.4.0

Post by nonno fabio » Wed Jul 09, 2008 3:38 pm

nonno fabio wrote:(only .NET is not included because it can't be slipstreamed directly in true mode, but we strongly suggest you anyway to add 1.x and/or 2.0/3.x as a runonceex or svcpack addon)
No .inf errors here: have you integrated. .NET too?

OPMWXPUP.inf searches for .NET and will disappear forever when you install it (or you never see it if integrate .NET in your source)

I'll report release date too for next updates but I won't post a note about errors we can't reproduce...sorry

thanks again to all of you for your appreciations
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

User avatar
compstuff
Posts: 463
Joined: Fri Aug 11, 2006 3:25 pm
Location: Florida

Post by compstuff » Wed Jul 09, 2008 5:16 pm

Nonno... I'm a little confused with your response since I for one am definitely receiving the INF error along with other functionality issues even though I have integrated .NET

May I ask what .NET addon your using?

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Wed Jul 09, 2008 5:53 pm

the command starts only if dotnet 1.1 is present in system, otherwise it isn't executed.

Here are the involved lines

Code: Select all

at first desktop this command starts:
"RUNDLL32 advpack.dll,LaunchINFSection %17%\OPMWXPUP.inf,MDX.Install"


then it executes:
[MDX.Install]
RunPreSetupCommands = Dotnet_Check:1

[Dotnet_Check]
"%11%\cmd.exe /d /q /c IF EXIST "%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe" "RUNDLL32 advpack.dll,LaunchINFSection OPMWXPUP.inf,DOtNet.MDX.Assembly.Register"

[DOtNet.MDX.Assembly.Register]
RunPreSetupCommands	= DOtNet_MDX_GAC_Register:1

[DOtNet_MDX_GAC_Register]
;
; Microsoft.DirectX.Direct3DX.dll
;
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.Direct3DX.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2903.0\Microsoft.DirectX.Direct3DX.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2904.0\Microsoft.DirectX.Direct3DX.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2905.0\Microsoft.DirectX.Direct3DX.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2906.0\Microsoft.DirectX.Direct3DX.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2907.0\Microsoft.DirectX.Direct3DX.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2908.0\Microsoft.DirectX.Direct3DX.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2909.0\Microsoft.DirectX.Direct3DX.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2910.0\Microsoft.DirectX.Direct3DX.dll"""

;
; MDX 1.0.2902.0
;
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.AudioVideoPlayback.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.Diagnostics.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.Direct3D.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.DirectDraw.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.DirectInput.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.DirectPlay.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.DirectSound.dll"""
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2902.0\Microsoft.DirectX.dll"""

;
; latest MDX
;
"""%10%\Microsoft.NET\Framework\v1.1.4322\gacutil.exe"" /i ""%10%\Microsoft.NET\DirectX for Managed Code\1.0.2911.0\Microsoft.DirectX.Direct3DX.dll"""

;
; Clenup Run MDX GAC Register
;
"%11%\reg.exe DELETE ""HKLM\Software\Microsoft\Windows\CurrentVersion\Run"" /v MDX_GAC_Register /f"
v1.4.1 is ready to post but Onepiece asks me to don't publishing the link because he's searching a way to avoid that annoying INF error to few ones it has occured: so please wait...
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Wed Jul 09, 2008 6:16 pm

OK - I have traced my advanced inf error to RogueSpear's adobe reader 9 installer. I was initially having trouble with it from T-13 using his autoimage tool (would not install) so I ran it @ RunOnceEx and have now verified that is the Advanced INF culprit, for me.

I ran multiple test runs with:

Onepiece AIO
RogueSpear's runtimes part 1 and part 2
Kel's CPL
Rougues multimode installers for Adobe AIR, Quicktime + Real Alt, Shockwave, and Java607 (released today!)

All runs tested PERFECT in virtual PC 2007. No more error!

As soon as I used the Adobe Reader multimode installer in RunOnceEx, I get the error.

So the solution for me is to use a different adobe reader source for the time being ;)

I'm ready for 1.4.1!

THANKS.


Advice for those who are still getting advanced inf or IE icon errors: you have to look at every addon you are using, even ones from the past that never had an issue before SP3, and also see if switching between RVMi and nlite is different. Example: Kel's CPL worked fine as an addon in RVMi up till v8.2.6, afterwords I got the IE icon error. Using nlite to integrate the CPL addon (now at v8.2.8) gives me no issues. Kel states all he changed was the cab compression tool he uses to make the addon.

I want to stress that this is a very specific scenario where the inf error happens only if I combine the onepiece AIO and the reader9 installer. The reader installs from runonceex without issue when no updatepack is used, so obviously this is something that I need to bring to the attention of onepiece


I hope I don't come off as an inconsiderate user of these great addon/pack projects, I very much appreciate all the hard work that goes into them! We all must deal with the new/undiscovered bugs that SP3 has caused with integration/slipstreaming.
Last edited by Fragbert on Wed Jul 09, 2008 10:01 pm, edited 2 times in total.

benjamminzIS
Posts: 227
Joined: Fri Jan 12, 2007 8:07 am

Post by benjamminzIS » Wed Jul 09, 2008 7:10 pm

rahuldel wrote:It works perfectly, just one error though

"Inf Install Failure. Reason:Access Denied."

Thanks though for the quick and nice work.
same here with 1.3.5... was only getting errors on "live" install... but now I'm getting them with vmware also... waiting for 1.4.1 and will cross my fingers at that point and also try a slightly different integration method...
_coming soon, don't hold your breath

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Thu Jul 10, 2008 4:43 am

1.4.1 is out.
advanced inf error is caused probably by the dotnet addon you've integrated: for italian XPs we usually integrate KontiniNetAIO addon and in thousand and thousand integrations with XP Update Pack we haven't ever see a single advanced inf error; for testing purpose you could try to integrate a flawless dotnet addon (like Ryan's Dotnetaio) and see if you got the same message.
However this release should work around your problem

EDIT: what is IE7 Desktop Icon tweak, suggested by Ricktendo64? Discover it in the attached images:

http://zqsmsa.bay.livefilestore.com/y1p ... ktopon.png

http://zqsmsa.bay.livefilestore.com/y1p ... esktop.png
Last edited by nonno fabio on Fri Jul 11, 2008 7:14 am, edited 1 time in total.
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

msdemich
Posts: 104
Joined: Sun Sep 17, 2006 2:52 am

Post by msdemich » Thu Jul 10, 2008 5:18 am

Integrating now. :)

Thanks for all your work on this. I really appreciate your dedication.

EDIT: 1.41 seems to work fine for me using OEMPro. IE and MSUpdate all work as expected. Testing with addons and nlite next...

User avatar
Stimpy
Posts: 499
Joined: Thu Dec 07, 2006 1:00 pm
Location: Denmark

Post by Stimpy » Thu Jul 10, 2008 6:31 am

Hi Nonno fabio, can I sum up this Inf error as only happening if you do NOT install .NET 1.1?

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Thu Jul 10, 2008 6:51 am

I don't know when it happens because we never see it, neither with no addons nor with .NET 1.1 or .NET AIO addons. The update pack does nothing if it doesn't find .NET 1.1 in system.

You said in top of this page that the error doesn't occur to you when you integrated the Update Pack alone, and this is OK. Now, if you want to test, have you tried to integrate 1.1 (without 2.0/3.x)? And have you tried to integrate 2.0/3.x (without 1.x)? So you could restrict the search.

However, do you got same error with 1.4.1?
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

benjamminzIS
Posts: 227
Joined: Fri Jan 12, 2007 8:07 am

Post by benjamminzIS » Thu Jul 10, 2008 7:23 am

Fragbert wrote:I want to stress that this is a very specific scenario where the inf error happens only if I combine the onepiece AIO and the reader9 installer. The reader installs from runonceex without issue when no updatepack is used, so obviously this is something that I need to bring to the attention of onepiece


I hope I don't come off as an inconsiderate user of these great addon/pack projects, I very much appreciate all the hard work that goes into them! We all must deal with the new/undiscovered bugs that SP3 has caused with integration/slipstreaming.
I just notice this post (not sure how I missed it before) but the advanced inf install error "access denied" started happening to me also the first time after updating to 1.3.5 and using roguespears AR9 from t-13, so maybe this is the culprit for me as well... I will do one more test with 1.4.1 with AR9 @ t-13 to be sure... but if it happens then, I will just move it into my WPI applications list, though I would rather it be installed already at first desktop... but I guess beggers can't be choosers... hehe!
_coming soon, don't hold your breath

benjamminzIS
Posts: 227
Joined: Fri Jan 12, 2007 8:07 am

Post by benjamminzIS » Thu Jul 10, 2008 7:24 am

thanks to onepiece for all his hard work, and the work you, nonno, do keeping us informed of his works!!!
_coming soon, don't hold your breath

msdemich
Posts: 104
Joined: Sun Sep 17, 2006 2:52 am

Post by msdemich » Thu Jul 10, 2008 8:06 am

Tested with OEM Pro straight with no problems.

Tested with RogueSpear's Microsoft .NET Framework 1.1 SP1, 2.0 SP1 and Visual J# Runtimes 1.1, 2.0 SE Addon, other Addons, Nlite, DPs, and Xpize. No probs. :D

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Thu Jul 10, 2008 8:18 am

benjamminzIS wrote:
Fragbert wrote:I want to stress that this is a very specific scenario where the inf error happens only if I combine the onepiece AIO and the reader9 installer. The reader installs from runonceex without issue when no updatepack is used, so obviously this is something that I need to bring to the attention of onepiece


I hope I don't come off as an inconsiderate user of these great addon/pack projects, I very much appreciate all the hard work that goes into them! We all must deal with the new/undiscovered bugs that SP3 has caused with integration/slipstreaming.
I just notice this post (not sure how I missed it before) but the advanced inf install error "access denied" started happening to me also the first time after updating to 1.3.5 and using roguespears AR9 from t-13, so maybe this is the culprit for me as well... I will do one more test with 1.4.1 with AR9 @ t-13 to be sure... but if it happens then, I will just move it into my WPI applications list, though I would rather it be installed already at first desktop... but I guess beggers can't be choosers... hehe!
To be thorough, test WITHOUT AR9, but with all other addons.

kbal
Posts: 23
Joined: Mon Oct 22, 2007 8:27 am

Post by kbal » Thu Jul 10, 2008 8:36 am

Thank you sir, it works OK for me (i only slipstream updates and drivers)

Amitri
Posts: 34
Joined: Sun May 01, 2005 9:59 pm
Location: Slovenia

Post by Amitri » Thu Jul 10, 2008 10:57 am

OK new test with 1.4.1 and RVMI:
pass 1: 141 only = OK
pass 2: java6u7 (Kels) and Firefox3 with plugins (Vmanda) = OK
pass 3: other addons (incl. ARlite v8.12, codecpack etc...) = OK
pass 4: RS 0_dotNET11SP120SP1-VJ1120SE.exe (svcpack) + Kels_Runtimes_addon_v4.3.CAB = NO .inf error but no IE7 shortcuts and WU not working, not registered

OK, getting closer... :wink:

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Thu Jul 10, 2008 11:30 am

Amitri wrote:OK new test with 1.4.1 and RVMI:
pass 1: 141 only = OK
pass 2: java6u7 (Kels) and Firefox3 with plugins (Vmanda) = OK
pass 3: other addons (incl. ARlite v8.12, codecpack etc...) = OK
pass 4: RS 0_dotNET11SP120SP1-VJ1120SE.exe (svcpack) + Kels_Runtimes_addon_v4.3.CAB = NO .inf error but no IE7 shortcuts and WU not working, not registered

OK, getting closer... :wink:
As I stated earlier, Kels changed his cab making tool and that has had an affect on his addons with RVMi, try using nlite to integrate the kels addon.

fluid
Posts: 148
Joined: Wed Nov 24, 2004 4:46 am

Post by fluid » Thu Jul 10, 2008 2:27 pm

fragbert: so the best way to do is to integrate all by nlite right?

nonofabio and onepiece: keep it up! nice work.

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Thu Jul 10, 2008 3:06 pm

fluid wrote:fragbert: so the best way to do is to integrate all by nlite right?
I did not say that. Just nlite to integrate the kels addon and see if that fixes it. We want to narrow down what specifically is causing the issue.

Amitri
Posts: 34
Joined: Sun May 01, 2005 9:59 pm
Location: Slovenia

Post by Amitri » Thu Jul 10, 2008 3:14 pm

@fragbert: repeated pass 4 without Kels, only Dotnet, same issues

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Thu Jul 10, 2008 3:31 pm

Amitri wrote:@fragbert: repeated pass 4 without Kels, only Dotnet, same issues
Try a run with just the AIO updatpack and Roguespears Runtimes part I from svcpack - then Runtimes Part 2 from runonceex, no other addons. This time use RVMi to integrate.

http://www.doitrightconsulting.net/foru ... ?f=8&t=132

msdemich
Posts: 104
Joined: Sun Sep 17, 2006 2:52 am

Post by msdemich » Thu Jul 10, 2008 5:00 pm

Amitri wrote:@fragbert: repeated pass 4 without Kels, only Dotnet, same issues
Try RogueSpears Java SE Runtime Environment V6.0u7 instead of Kels.

Amitri
Posts: 34
Joined: Sun May 01, 2005 9:59 pm
Location: Slovenia

Post by Amitri » Thu Jul 10, 2008 5:15 pm

@fragbert: RS runtimes (0_RogueSpearsRuntimes.exe) looks OK for now, it gives me just WU error fixed with adding windowsupdate in trusted sites in IE7 (Virtualbox)

@msdemich: Kels java6u7 seems to be OK, already added in pass2 in previous post

will continue tomorrow...

User avatar
compstuff
Posts: 463
Joined: Fri Aug 11, 2006 3:25 pm
Location: Florida

Post by compstuff » Thu Jul 10, 2008 5:26 pm

Fragbert, I seem to be getting confused here in trying to follow the troubleshooting regarding this problem (probably just me LOL)... I have very succesfully run 3.5 with .NET 1.1 and 3.5 with no errors until I did an additional integration with addons... so is my problem like your's: with my additional addons???

I never knew you could run RogueSpear's multimode installers without his autoimage tool...
compstuff wrote:3) SP3/AIO 3.5 + reg tweaks + integrate WBEM fix + Removal_LANG_DirDeleteAddon.cab + Removal_WINNTUPG_DirDeleteAddon_v1.1.cab

PERFECT

4) ABOVE + integrate RogueSpear .NET 1.1 + runonceex RogueSpear .NET 3.5

PERFECT

5) ABOVE + DriverPack

PERFECT

I updated the latest MS Update fixes from the web, checked a bunch of programs and websites including Silverlight... all seemed fine

Now I will try some addons that I always use and report back soon
compstuff wrote:I just tried the .5 version:

1) SP3 + AIO 3.5 + drivers & reg tweaks
2) SP3 + AIO 3.5 + drivers & reg tweaks + Driver Pack

So far all went perfect... I am trying a few more options now and will report back

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Thu Jul 10, 2008 5:48 pm

Rouge's runtimes part 1 is not a multimode installer, it is a svcpack addon. Runtimes part 2 is not a multimode installer either, it is a plain switchless installer that must be run in RunOnceEx.

I have 3 specific problems:

1)If I use kel's cpl in rvmi (regardless of other addons), I get the IE icon/desktop error. I fix that by using nlite instead to integrate.

2) My other problem is specifically with rouge's multimode Adobe Reader 9 installer. It does not install at all from svcpack (using autoimage to integrate), regardless of any other addon/pack used on my MSDN SP3 VLK.

3) I then get the Advanced INF error if I integrate Onepiece AIO and then run Reader 9 installer from RunOnceEx.

User avatar
bober101
Posts: 923
Joined: Thu Feb 08, 2007 8:49 pm
Location: canadia!

Post by bober101 » Thu Jul 10, 2008 8:01 pm

ithink kel's new v13 uber pack is screwing things up cause of the icon tweak he added,but im not sure.
kills ie7 from this addon.
XP theme source patcher
patches/overwrites ure default xp visual resources

User avatar
Kelsenellenelvian
Moderator
Posts: 4383
Joined: Tue Nov 30, 2004 8:32 pm
Location: Pocatello, ID
Contact:

Post by Kelsenellenelvian » Thu Jul 10, 2008 9:13 pm

OK bober I am running a test with the integrator and these addons:

Kels_Uber_addon_v13.cab
Kels_CPLBonus_addon_v8.2.8.cab
OnePiece_Windows_XP_Post-SP3_UpdatePack_v1.4.1_ENU0.7z
Kels_Notepad2_addon_v2.0.18.3.cab
VMwareTools_addon.cab

On a testbed of XP\SP3 and no extras or mods.

User avatar
Kelsenellenelvian
Moderator
Posts: 4383
Joined: Tue Nov 30, 2004 8:32 pm
Location: Pocatello, ID
Contact:

Post by Kelsenellenelvian » Thu Jul 10, 2008 9:46 pm

Total failure!

Now I will try to do it without the uberpack but everything else is the same...

msdemich
Posts: 104
Joined: Sun Sep 17, 2006 2:52 am

Post by msdemich » Thu Jul 10, 2008 9:54 pm

Fragbert wrote: 1)If I use kel's cpl in rvmi (regardless of other addons), I get the IE icon/desktop error. I fix that by using nlite instead to integrate.
Strange. I've been integrating an updated Kel's cpl pack on every RVMi build without issue. It should be noted that I usually run nLite on top of that, along with Xpize and BTS driverpacks. But I don't integrate anything with nlite.

I'll test it without nLite at all and see if that makes any difference...

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Thu Jul 10, 2008 10:07 pm

Kelsenellenelvian wrote:Total failure!

Now I will try to do it without the uberpack but everything else is the same...
Did you integrate your addons with nlite or rvmi?

User avatar
Kelsenellenelvian
Moderator
Posts: 4383
Joined: Tue Nov 30, 2004 8:32 pm
Location: Pocatello, ID
Contact:

Post by Kelsenellenelvian » Thu Jul 10, 2008 10:30 pm

RVMi

msdemich
Posts: 104
Joined: Sun Sep 17, 2006 2:52 am

Post by msdemich » Thu Jul 10, 2008 10:48 pm

Tested without nlite at all, just RVMi.

XP Pro OEM SP2 disk
Slipstreamed SP3
Integrated OnePiece AIO
Integrated:
  • 0_dotNET11SP120SP1-VJ1120SE.exe
    Kels_CPLBonus_addon_v8.2.8.CAB
    Kels_Uber_Addon_v12.8.CAB
Installed on VirtualBox

The WBEM bug reared its evil head again, but the IE7 shortcuts are there and Microsoft Update works as it should. Tested build from scratch twice.

User avatar
Kelsenellenelvian
Moderator
Posts: 4383
Joined: Tue Nov 30, 2004 8:32 pm
Location: Pocatello, ID
Contact:

Post by Kelsenellenelvian » Thu Jul 10, 2008 10:51 pm

Kels_CPLBonus_addon_v8.2.8.cab
OnePiece_Windows_XP_Post-SP3_UpdatePack_v1.4.1_ENU0.7z
Kels_Notepad2_addon_v2.0.18.3.cab
VMwareTools_addon.cab

On a testbed of XP\SP3 and no extras or mods. Using RVMi

Another failure!

Trying nLite now.

User avatar
bober101
Posts: 923
Joined: Thu Feb 08, 2007 8:49 pm
Location: canadia!

Post by bober101 » Fri Jul 11, 2008 12:47 am

so maybe its just OnePiece_Windows_XP_Post-SP3_UpdatePack_v1.4.1,ill do a stand alone test with it when i get the time.
XP theme source patcher
patches/overwrites ure default xp visual resources

User avatar
Kelsenellenelvian
Moderator
Posts: 4383
Joined: Tue Nov 30, 2004 8:32 pm
Location: Pocatello, ID
Contact:

Post by Kelsenellenelvian » Fri Jul 11, 2008 12:53 am

All worked fine in nLite. O_o

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Fri Jul 11, 2008 3:06 am

I think that RVMi users who integrate addons not containing WBEM fix inside (even only one of their list would be enough) should add WBEM fix addon too.

EDIT I mean: if in your list there's at least one addon which has WBEM fix inside, there's no need for WBEM fix addon


EDIT2: WBEM fix is included from v1.4.2
Last edited by nonno fabio on Wed Jul 16, 2008 4:12 am, edited 2 times in total.
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

luksy
Posts: 1
Joined: Thu Dec 27, 2007 3:54 am

Post by luksy » Fri Jul 11, 2008 3:12 am

I get the advanced inf error, integrating:
7z458_silent
Reapers notepad500
DotNetFx_All_In_1
Java6u6
Kels_CPLBonus
ar9lite_eng
Firefox_{ayakawa}_3.0.2pre
CppRuntimes2008
Ricks_WindowsLiveMessengerBETA
Ricks_SpywareBlaster4.1
SkypeSTD

Although the inf error doesn't actually cause any problems, everything works fine
*edit: using msdn sp3 vlk
Last edited by luksy on Fri Jul 11, 2008 4:07 am, edited 1 time in total.

msdemich
Posts: 104
Joined: Sun Sep 17, 2006 2:52 am

Post by msdemich » Fri Jul 11, 2008 4:01 am

I dusted off my old college VLK Pro SP0 disc to try to replicate this problem.

Slipstreamed straight to SP3 with RVMi
Integrated Onepiece XP Post-SP3 AIO Update Pack v1.4.1-080710

WORKS PERFEECTLY. IE7 shortcuts and MSU all work.

Slipstreamed SP3 with RVMi
Integrated Onepiece XP Post-SP3 AIO Update Pack v1.4.1-080710
Kels_CPLBonus_addon_v8.2.8.CAB
Kels_Uber_Addon_v12.8.CAB
(no .NET Freamework runtimes addons)

WORKS PERFEECTLY. IE7 shortcuts and MSU all work.

I'm running out of ideas. Can't seem to get it to screw up. Maybe it happens only to Home editions?
nonno fabio wrote:I think that RVMi users who integrate addons not containing WBEM fix inside (even only one of their list would be enough) should add WBEM fix addon too.
THANK YOU!!!

Nico
Posts: 86
Joined: Fri Mar 24, 2006 12:26 pm

Post by Nico » Fri Jul 11, 2008 5:29 am

Did anyone try WMMP 11 after integrate the AIO update pack ? For me it didn't work, the setup_wmp.exe crash after agreement dialog box... (AIO alone or with addons...)

Anyway great thank for your addon nonno fabio.

msdemich
Posts: 104
Joined: Sun Sep 17, 2006 2:52 am

Post by msdemich » Fri Jul 11, 2008 7:38 am

I tested the updatepack again with XP Home OEM edition by itself as well as Kel's packs using RVMi only. IE7 icons and Microsoft Update all work fine. I'm running out of ideas as to how to reproduce this error. I can't seem to make it not work.
Nico wrote:Did anyone try WMMP 11 after integrate the AIO update pack ? For me it didn't work, the setup_wmp.exe crash after agreement dialog box... (AIO alone or with addons...)
I believe WMP11 is already included in this Updatepack. No need to try to integrate it twice unless you want trouble.

Nico
Posts: 86
Joined: Fri Mar 24, 2006 12:26 pm

Post by Nico » Fri Jul 11, 2008 9:22 am

To msdemich : I didn't try to integrate WMP 11 twice :-) , I just try to launch it but it didn't work, can someone test ?

User avatar
Stimpy
Posts: 499
Joined: Thu Dec 07, 2006 1:00 pm
Location: Denmark

Post by Stimpy » Fri Jul 11, 2008 9:49 am

msdemich wrote:I tested the updatepack again with XP Home OEM edition by itself as well as Kel's packs using RVMi only. IE7 icons and Microsoft Update all work fine. I'm running out of ideas as to how to reproduce this error. I can't seem to make it not work.
If you would like to experience the Inf error, then integrate Vmanda's Acrobat Reader 9 addon. Use the RVMI.

I am still looking for the addon(s) that kills the Quicklaunch bar, and most of the presets that have been made using nLite are no longer set.

It's funny what is happening, but I have a feeling that Siginet has another problem to add to his list (after what some are saying about having success using nLite). I feel bad for him, as I think the RVMI is a little to much of a problem to him now.
Last edited by Stimpy on Fri Jul 11, 2008 10:30 am, edited 1 time in total.

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Fri Jul 11, 2008 10:28 am

Kelsenellenelvian wrote:RVMi
Kelsenellenelvian wrote:All worked fine in nLite. O_o
Glad to know I'm not crazy then :)

Fragbert
Posts: 338
Joined: Tue Jan 24, 2006 10:59 am

Post by Fragbert » Fri Jul 11, 2008 10:42 am

msdemich wrote:I tested the updatepack again with XP Home OEM edition by itself as well as Kel's packs using RVMi only. IE7 icons and Microsoft Update all work fine. I'm running out of ideas as to how to reproduce this error. I can't seem to make it not work.
I suspect the issues only affect VLK images. Specifically the SP3 integrated VLK (NOT a slipstreamed SP3 VLK)

msdemich
Posts: 104
Joined: Sun Sep 17, 2006 2:52 am

Post by msdemich » Fri Jul 11, 2008 5:15 pm

Fragbert wrote:I suspect the issues only affect VLK images. Specifically the SP3 integrated VLK (NOT a slipstreamed SP3 VLK)
I don't think I understand the difference. Isn't integrating SP3 (WindowsXP-KB936929-SP3-x86-ENU.exe) with RVMi the same thing as slipstreaming it? Does this have something to do with the popup from RVMi:
"Would you like to SlipSteam a ServicePack Now?"
Yes = SlipSteam ServicePack now
No = SlipSteam ServicePack during an Updatepack integration
Cancel = Nevermind, Do Nothing.


@Nico, my bad. I read your post wrong. I'll test WMP11.
EDIT: WMP11 Works fine with me on OEMPro. What steps should I take to replicate that error?

@Stimpy, I too got that advanced INF error on XP Pro OEM using the Adobe addon you mentioned and this AIO updatepack. (no other addons)

Post Reply